/*
 * HtmlPanel.java
 *
 * Created on October 12, 2000, 3:33 PM
 */

package ovt.servlet;

import ovt.*;
import ovt.util.*;

import java.io.*;
/**
 *
 * @author  ko
 * @version 
 */
public class HtmlPanel extends Object {

    /** Holds value of property core. */
    protected OVTCore core;
    
    /** Holds value of property name. */
    protected String name;
    
    /** Creates new HtmlPanel */
    public HtmlPanel(OVTCore core, String name) {
        this.core = core;
        this.name = name;
    }

    /** Getter for property core.
     * @return Value of property core.
     */
    public OVTCore getCore() {
        return core;
    }
    /** Setter for property core.
     * @param core New value of property core.
     */
    public void setCore(OVTCore core) {
        this.core = core;
    }
    /** Getter for property name.
     * @return Value of property name.
     */
    public String getName() {
        return name;
    }
    /** Setter for property name.
     * @param name New value of property name.
     */
    public void setName(String name) {
        this.name = name;
    }
    
    public void printHtml(PrintWriter out) {
        Log.log(getName() + " :: printHtml", 5);
        printHeader(out);
        printBody(out);
        printFooter(out);
    }
    
    public void printHeader(PrintWriter out) {
        out.println("<HTML><HEAD><TITLE>" + getName() + "</TITLE></HEAD>");
        out.println("<BODY BGCOLOR=\"#ffffff\">");
    }
    
    public void printBody(PrintWriter out){
        
    }
    
    public void printFooter(PrintWriter out) {
        out.println("</BODY></HTML>");
    }
}